%define name	clementine
%define version	0.7.1
%define release 8

%define Summary	A cross-platform music player based on Amarok 1.4  


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	Clementine.conf
Source2:	application-x-clementine.png
Source3:	application-x-clementine.svg
Source4:	icons.tar.gz
Patch0:		clementine-0.6-use-default-language.patch
Patch1:		clementine-0.7.1-pt_BR_translations.patch
Patch2:		clementine-0.7.1_fix_description.patch
Patch3:         clementine-0.7.1-ru_translations.patch
License:	GPLv3
Group:		Sound 
URL:		http://www.clementine-player.org/
BuildRequires:	qt4-devel >= 4.5.0
BuildRequires:	taglib-devel >= 1.6
BuildRequires:	liblastfm-devel
BuildRequires:	libboost-devel
BuildRequires:	qt4-linguist
BuildRequires:	gstreamer0.10-devel
BuildRequires:	cmake
BuildRequires:	glew-devel
BuildRequires:	libmtp-devel
BuildRequires:	usbmuxd-devel
BuildRequires:	libplist-devel
BuildRequires:	libimobiledevice-devel
BuildRequires:	libindicate-qt-devel
BuildRequires:	echonest-devel
BuildRequires:	libgpod-devel >= 0.7.92

Requires:	libprojectm-data
Requires:	qt4-database-plugin-sqlite
Requires:	gstreamer0.10-flac
Requires:	gstreamer0.10-plugins-ugly

Suggests:	gstreamer0.10-decoders-audio
# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Suggests:	gvfs-iphone

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4. 
Features:
	* Search and play your local music library
	* Listen to internet radio from Last.fm, SomaFM and Magnatune
	* Tabbed playlists, import and export M3U, XSPF, PLS and ASX
	* Visualisations from projectM
	* Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
	* Edit tags on MP3 and OGG files, organise your music
	* Download missing album cover art from Last.fm
	* Remote control using a Wii Remote, MPRIS or the command-line
	* Copy music to your iPod, iPhone, MTP or mass-storage USB player
	* Queue manage

%files 
%defattr(-,root,root)
%_bindir/clementine
%_datadir/applications/clementine.desktop
%_iconsdir/hicolor/64x64/apps/application-x-clementine.png
%_iconsdir/hicolor/scalable/apps/application-x-clementine.svg
%config %{_sysconfdir}/Clementine/Clementine.conf
#---------------------------------------------------------------------

%prep
%setup -q
%apply_patches
tar zxvf %SOURCE4

%build
%cmake_qt4 -DBUNDLE_PROJECTM_PRESETS=OFF 
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

install -m 644 -D %{_sourcedir}/Clementine.conf \
%{buildroot}%{_sysconfdir}/Clementine/Clementine.conf

install -m 644 -D %{_sourcedir}/application-x-clementine.png \
%{buildroot}%_iconsdir/hicolor/64x64/apps/application-x-clementine.png

install -m 644 -D %{_sourcedir}/application-x-clementine.svg \
%{buildroot}%_iconsdir/hicolor/scalable/apps/application-x-clementine.svg


%clean
%__rm -rf %buildroot


%changelog
* Wed Aug 24 2011 Alex Burmashev <burmashev@mandriva.org> 0.7.1-8
+ Revision: 696524
- updated ru locale

* Thu Aug 11 2011 Denis Koryavov <dkoryavov@mandriva.org> 0.7.1-7
+ Revision: 693953
- Added russian description into .desktop file. Added InitialPreference value to avoid playing mp3 files in SMplayer.

* Mon Jul 25 2011 Denis Koryavov <dkoryavov@mandriva.org> 0.7.1-6
+ Revision: 691583
- Changed icon for better consistency with rosa-theme.

* Thu Jun 02 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.7.1-5
+ Revision: 682525
- Removes duplicated name from menu.

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.7.1-4
+ Revision: 677480
- rebuild for updated mimehandler

* Fri Apr 29 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.7.1-3
+ Revision: 660177
- pt_BR translation fix

* Fri Apr 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.7.1-2
+ Revision: 649734
- Added a default config File
  Droped mkrel

* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 0.7.1-1
+ Revision: 649539
- use system echonest
- revolk and rediff the patches
- new version 0.7.1

  + Sergey Zhemoitel <serg@mandriva.org>
    - update new release

* Mon Mar 14 2011 John Balcaen <mikala@mandriva.org> 0.6-8
+ Revision: 644642
- Don't require libraries (especially when only i586 are required :p on x86_64)

* Wed Mar 09 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-7
+ Revision: 643141
- *Improvements on Brazilian portuguese translation
  *Use a larguer sidebar to avoid text cutting on add folders left text

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.6-6
+ Revision: 640329
- rebuild to obsolete old packages

* Tue Feb 15 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-5
+ Revision: 637849
- * Added some requires from the Main media to better playback support.
  * gstreamer-decoders-audio still a suggest, so on a manual instalation
  all the codecs still will be pushed.

* Wed Feb 02 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-4
+ Revision: 635353
- *Added patch to make clementine use system language
- Added a patch to give a more polished playlist on the first run

* Tue Feb 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-3
+ Revision: 634892
- Added patch to use PlainSidebar instead the bluish one, on the playlist

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.6-2
+ Revision: 634417
- BR indicate

* Sun Dec 12 2010 John Balcaen <mikala@mandriva.org> 0.6-1mdv2011.0
+ Revision: 620601
- Add missing buildrequires
- Remove unused files
- Update to 0.6

* Thu Sep 30 2010 John Balcaen <mikala@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 582170
- Update to 0.5.3

* Mon Sep 20 2010 John Balcaen <mikala@mandriva.org> 0.5-1mdv2011.0
+ Revision: 579908
- Update to 0.5
- drop patch (merged upstream)
- add BR for libmtp-devel & libgpod-devel (mtp & ipod/iphone support)
- add suggests for gvfs-iphone (needed to detect iphone/ipod but also mtp device)
- update description
- Update URL
- Add patch3 to fix visualisation when using another locale then english

* Sun Aug 08 2010 John Balcaen <mikala@mandriva.org> 0.4.2-3mdv2011.0
+ Revision: 567630
- Add patch0 from upstream to fix a crash when expanding lastfm
- Add patch1 from upstream (fix debug symbol)
- Add -DBUNDLE_PROJECTM_PRESETS=O & add a requires on libprojectm-data for projectm-preset

* Mon Jul 26 2010 John Balcaen <mikala@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 560890
- Restore use of make -j 4 (%%make seems to failed)
- Remove -DQT_PHONON_INCLUDE_DIR=%%_includedir with %%cmake (fix upstream)
- Add qt4-database-plugin-sqlite  as require (needed for the library)

  + Funda Wang <fwang@mandriva.org>
    - New version 0.4.2

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


